package com.wzj.soopin.member.enums;


import lombok.Data;
import lombok.Getter;

/**
 * 举报原因枚举
 */
@Getter
public enum FeedbackReasonEnums {

    OTHER(0, "其他"),

    ABUSE(1, "辱骂"),

    VIOLATION(2, "违反社区 Guidelines"),

    SPAM(3, "垃圾信息"),

    HARASSMENT(4, "骚扰"),

    INAPPROPRIATE_CONTENT(5, "不恰当内容"),

    INAPPROPRIATE_USERNAME(6, "不恰当用户名"),

    INAPPROPRIATE_PROFILE_PICTURE(7, "不恰当头像"),

    INAPPROPRIATE_BACKGROUND_PICTURE(8, "不恰当背景");


    private final int code;
    private final String message;

    FeedbackReasonEnums(int code, String message) {
        this.code = code;
        this.message = message;
    }



}
